[@rxap/material-table-system](../wiki/globals) / PersistentPaginatorDirective

# Class: PersistentPaginatorDirective

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:15](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L15)

## Implements

- `OnInit`
- `OnDestroy`

## Constructors

### new PersistentPaginatorDirective()

> **new PersistentPaginatorDirective**(`matPaginator`): [`PersistentPaginatorDirective`](../wiki/Class.PersistentPaginatorDirective)

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L22)

#### Parameters

##### matPaginator

`MatPaginator`

#### Returns

[`PersistentPaginatorDirective`](../wiki/Class.PersistentPaginatorDirective)

## Properties

### id?

> `optional` **id**: `string`

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L18)

## Methods

### getKey()

> **getKey**(): `string`

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:41](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L41)

#### Returns

`string`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:37](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L37)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L27)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### restoreConfig()

> **restoreConfig**(): `null` \| \{ `pageSize`: `number`; \}

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:50](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L50)

#### Returns

`null` \| \{ `pageSize`: `number`; \}

***

### storeConfig()

> **storeConfig**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:45](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts#L45)

#### Returns

`void`
